NamedListCodec (Solr 3.6.2 API)
Keywords: org.apache.solr.common.util.NamedListCodec class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.solr.common.util
Class NamedListCodec

    java.lang.Object
      org.apache.solr.common.util.JavaBinCodec
          org.apache.solr.common.util.NamedListCodec

Deprecated. use JavaBinCodec instead

    @Deprecated
    public class NamedListCodec

extends JavaBinCodec

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.solr.common.util.JavaBinCodec
`JavaBinCodec.ObjectResolver`

Field Summary

Fields inherited from class org.apache.solr.common.util.JavaBinCodec
`ARR, BOOL_FALSE, BOOL_TRUE, BYTE, BYTEARR, daos, DATE, DOUBLE, END, END_OBJ, EXTERN_STRING, FLOAT, INT, ITERATOR, LONG, MAP, NAMED_LST, NULL, ORDERED_MAP, SHORT, SINT, SLONG, SOLRDOC, SOLRDOCLST, STR, TAG_AND_LEN`

Constructor Summary
`NamedListCodec()` Deprecated.
`NamedListCodec(JavaBinCodec.ObjectResolver resolver)` Deprecated.

Method Summary

Methods inherited from class org.apache.solr.common.util.JavaBinCodec
`marshal, readArray, readByteArray, readExternString, readIterator, readMap, readNamedList, readOrderedMap, readSize, readSmallInt, readSmallLong, readSolrDocument, readSolrDocumentList, readStr, readVal, readVInt, readVLong, unmarshal, writeArray, writeArray, writeArray, writeByteArray, writeExternString, writeInt, writeIterator, writeKnownType, writeLong, writeMap, writeNamedList, writePrimitive, writeSolrDocument, writeSolrDocument, writeSolrDocumentList, writeStr, writeTag, writeTag, writeVal, writeVInt, writeVLong`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NamedListCodec

    public NamedListCodec()

  Deprecated.

### NamedListCodec

    public NamedListCodec(JavaBinCodec.ObjectResolver resolver)

  Deprecated.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD